{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Setup Virtual Environment",
            "type": "shell",
            "command": "${input:pythonPath}",
            "args": ["setup.py"],
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Run Build Script",
            "type": "shell",
            "command": "venv\\Scripts\\python.exe",
            "args": [
                "build.py"
            ],
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "🛠 Full Build",
            "type": "shell",
            "dependsOn": [
                "Setup Virtual Environment",
                "Run Build Script"
            ],
            "dependsOrder": "sequence",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        }
    ],
    "inputs": [
        {
            "id": "pythonPath",
            "type": "promptString",
            "description": "Enter the full path to your Python executable",
            "default": "C:\\Program Files\\Python39\\python.exe"
        }
    ]
}
